## org.apache.xerces.dom3.as
Class DOMASException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.xerces.dom3.as.DOMASException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Abstract Schemas operations may throw a `DOMSystemException` as described in their descriptions.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public class DOMASException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`short` `code` Deprecated.
`static short` `DUPLICATE_NAME_ERR` Deprecated. If an element declaration already exists with the same name within an `AS_CHOICE` operator.
`static short` `NO_AS_AVAILABLE` Deprecated. If the `DocumentEditAS` related to the node does not have any active `ASModel` and `wfValidityCheckLevel` is set to `PARTIAL` or `STRICT_VALIDITY_CHECK`.
`static short` `TYPE_ERR` Deprecated. If the type of the `ASObject` is neither an `ASContentModel` nor an `ASElementDeclaration`.
`static short` `WRONG_MIME_TYPE_ERR` Deprecated. When `mimeTypeCheck` is `true` and the input source has an incorrect MIME Type.

Constructor Summary
`DOMASException(short code, java.lang.String message)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

  Deprecated.

### DUPLICATE_NAME_ERR

    public static final short DUPLICATE_NAME_ERR

  Deprecated.
  If an element declaration already exists with the same name within an `AS_CHOICE` operator.

  See Also:
    Constant Field Values

### TYPE_ERR

    public static final short TYPE_ERR

  Deprecated.
  If the type of the `ASObject` is neither an `ASContentModel` nor an `ASElementDeclaration`.

  See Also:
    Constant Field Values

### NO_AS_AVAILABLE

    public static final short NO_AS_AVAILABLE

  Deprecated.
  If the `DocumentEditAS` related to the node does not have any active `ASModel` and `wfValidityCheckLevel` is set to `PARTIAL` or `STRICT_VALIDITY_CHECK`.

  See Also:
    Constant Field Values

### WRONG_MIME_TYPE_ERR

    public static final short WRONG_MIME_TYPE_ERR

  Deprecated.
  When `mimeTypeCheck` is `true` and the input source has an incorrect MIME Type. See the attribute `mimeTypeCheck`.

  See Also:
    Constant Field Values

Constructor Detail

### DOMASException

    public DOMASException(short code,
                          java.lang.String message)

  Deprecated.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.